GIT-LFS-PUSH(1)

NAME
git-lfs-push - Push queued large files to the Git LFS endpoint

SYNOPSIS
git lfs push #OPTIONS remote [ref...]
git lfs push remote [ref...]
git lfs push --object-id remote [oid...]

DESCRIPTION
Upload Git LFS files to the configured endpoint for the current Git remote. By default, it filters out objects that are already referenced by the local clone of the remote.

OPTIONS

--dry-run
    Print the files that would be pushed, without actually pushing them.

--all
    This pushes all objects to the remote that are referenced by any commit reachable from the refs provided as arguments. If no refs are provided, then all refs are pushed.

--object-id
    This pushes only the object OIDs listed at the end of the command, separated by spaces.

SEE ALSO
git-lfs-pre-push(1).

Part of the git-lfs(1) suite.